<ion-view cache-view="false">
	<ion-nav-title>{{editInfo.view_title}}</ion-nav-title>
    <ion-content class="myAccount">
		<div class="row description-edit text-center" ng-show="editInfo.description.length > 0">
			<div class="col">
				<p class="title">{{editInfo.title}}</p>
				<p>{{editInfo.description}}</p>
			</div>
		</div>
		<div class="row form-edit">
			<div class="col">
				<form name="profileInfo" class="form" ng-submit="editInfoProfile(profileInfo)" novalidate>
					<div class="form-group" >
						<ion-item class="item item-input">
							<input ng-if="editInfo.inputName == 'name'" name="info" ng-model="info" class="infoInput" type="text" value="{{editInfo.currentValue}}" required fp-floating-label-input />
							<input ng-if="editInfo.inputName == 'CPF'" name="info" ng-model="info" class="infoInput" type="tel" value="{{editInfo.currentValue}}" required fp-floating-label-input mask="999.999.999-99" mask-clean="true"  />
							<input ng-if="editInfo.inputName == 'date_birthday'" name="info" ng-model="info" type="tel" class="infoInput" type="text" value="{{editInfo.currentValue}}" required fp-floating-label-input mask="99/99/9999" mask-clean="true" />
							<input ng-if="editInfo.inputName == 'email'" name="info" ng-model="info" class="infoInput" type="text" value="{{editInfo.currentValue}}" required fp-floating-label-input />
							<input ng-if="editInfo.inputName == 'password'" name="info" ng-model="info" class="infoInput" type="password" required fp-floating-label-input />
							<input ng-if="editInfo.inputName == 'job'" name="info" ng-model="info" class="infoInput" type="text" required fp-floating-label-input />
							<input ng-if="editInfo.inputName == 'salary'" name="info"  ng-model="info" class="infoInput moneyInput" type="tel" required fp-floating-label-input fp-mask-money  />
							<input ng-if="editInfo.inputName == 'hour_value'" name="info"  ng-model="info" class="infoInput moneyInput" type="tel" required fp-floating-label-input fp-mask-money autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false" />
							<input ng-if="editInfo.inputName == 'phone'" name="info" ng-model="info" class="infoInput" type="tel" value="{{editInfo.currentValue}}" required fp-floating-label-input mask="(99) 9?9999-9999" mask-clean="true"  />
							<textarea ng-if="editInfo.inputName == 'address'" name="info" ng-model="info" class="infoInput" required fp-floating-label-input fp-resize-on-change>{{editInfo.currentValue}}</textarea>
							<input ng-if="editInfo.inputName == 'CNPJ'" name="info" ng-model="info" class="infoInput" type="tel" value="{{editInfo.currentValue}}" required fp-floating-label-input mask="99.999.999/9999-99" mask-clean="true"  />
							<input ng-if="editInfo.inputName == 'business_name'" name="info" ng-model="info" class="infoInput" type="text" value="{{editInfo.currentValue}}" required fp-floating-label-input />
							<span class="md-highlight"></span>
							<span class="md-bar"></span>
							<label class="ng-binding input-label" >{{editInfo.label}}</label>
						</ion-item>
						<div class="error-container" ng-show="profileInfo.info.$touched || profileInfo.$submitted" ng-messages="profileInfo.info.$error">
							<div ng-messages-include="templates/error-list.html"></div>
						</div>
					</div>
					<div class="form-group" ng-if="editInfo.inputName == 'password'">
						<ion-item class="item item-input">
							<input name="new_password" ng-model="new_password" class="infoInput" type="password" required fp-floating-label-input />
							<span class="md-highlight"></span>
							<span class="md-bar"></span>
							<label class="ng-binding input-label" >Nova Senha</label>
						</ion-item>
						<div class="error-container" ng-show="profileInfo.new_password.$touched || profileInfo.$submitted" ng-messages="profileInfo.new_password.$error">
							<div ng-messages-include="templates/error-list.html"></div>
						</div>
					</div>
					<div class="form-group" ng-if="editInfo.inputName == 'password'">
						<ion-item class="item item-input">
							<input name="confirm_new_password" ng-model="confirm_new_password" class="infoInput" type="password"  required fp-floating-label-input fp-compare-to="profileInfo.new_password" />
							<span class="md-highlight"></span>
							<span class="md-bar"></span>
							<label class="ng-binding input-label" >Confirme a nova senha</label>
						</ion-item>
						<div class="error-container" ng-show="profileInfo.confirm_new_password.$touched || profileInfo.$submitted" ng-messages="profileInfo.confirm_new_password.$error">
							<div ng-messages-include="templates/error-list.html"></div>
						</div>
					</div>
					<div class="col-80 col-offset-10">
						<button class="button button-blue" type="submit"><i class="icon icon-check"></i>SALVAR</button>
					</div>
				</form>
			</div>
		</div>
    </ion-content>
</ion-view>
